Name:           bindfs
Version:        1.17.4
Release:        3%{?dist}
Summary:        Fuse filesystem to mirror a directory
License:        GPLv2+
URL:            http://bindfs.org/
Source0:        http://bindfs.org/downloads//bindfs-%{version}.tar.gz
BuildRequires:  fuse-devel
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  ruby
BuildRequires:  valgrind
Requires:     fuse

%description
Bindfs allows you to mirror a directory and also change the the permissions in
the mirror directory.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%check
%ifnarch ppc64le
if [ -e /dev/fuse ]; then
    make check || (cat tests/test-suite.log tests/internals/test-suite.log; false)
else
    make -C tests/internals/ check || (cat tests/internals/test-suite.log; false)
fi
%endif

%files
%doc ChangeLog README.md
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Jun 03 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.17.4-3
- Rebuilt for loongarch64

* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17.4-2
- rebase to add ocs and ts macros

* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17.4-1
- initial build
